Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.manager
Class PortletServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              weblogic.servlet.jhtmlc.PageCompileServlet
                  weblogic.servlet.JSPServlet
                      com.bea.netuix.servlets.manager.UIServlet
                          com.bea.netuix.servlets.manager.PortletServlet

All Implemented Interfaces:
  com.bea.netuix.nf.container.jsp.JspContextTreeLookup, Serializable, Servlet, ServletConfig

public class PortletServlet
extends UIServlet

Front door servlet for standalone portlets.

See Also:
  Serialized Form

Field Summary

Fields inherited from class weblogic.servlet.jhtmlc.PageCompileServlet
`finder, jspConfig, ourContext, servletClasspath, servlets`

Constructor Summary
`PortletServlet()`

Method Summary
`void` | `init(ServletConfig servletConfig)`
`void` | `service(HttpServletRequest request, HttpServletResponse response)`

Methods inherited from class weblogic.servlet.JSPServlet
`getDefaultCompilerName, getDefaultServletName, getNewJspStub, getUseBackticks, uri2classname`

Methods inherited from class weblogic.servlet.jhtmlc.PageCompileServlet
`destroy, getCompilerArgs, servletInfo2class`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletServlet

    public PortletServlet()

Method Detail

### init

    public void init(ServletConfig servletConfig)
              throws ServletException

  Specified by:
    `init` in interface `Servlet`
  Overrides:
    `init` in class `UIServlet`
  Throws:
    `ServletException`

### service

    public void service(HttpServletRequest request,
                        HttpServletResponse response)
                 throws ServletException,
                        IOException

  Overrides:
    `service` in class `UIServlet`
  Throws:
    `ServletException`
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved